Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.bridge
Interface OWLClass

All Superinterfaces:
  Argument, AtomArgument, BuiltInArgument, ClassArgument, ClassDescriptionArgument, ClassValue, Comparable, OWLDescription, OWLObject, ResultValue

All Known Implementing Classes:
  OWLClassImpl

    public interface OWLClass

extends OWLDescription, ClassArgument, ClassValue, AtomArgument

Method Summary
`String` | `getClassName()`
`Set<String>` | `getDirectSubClassNames()`
`Set<String>` | `getDirectSuperClassNames()`
`Set<String>` | `getEquivalentClassNames()`
`Set<String>` | `getEquivalentClassSuperclassNames()`
`String` | `getPrefixedClassName()`
`Set<String>` | `getSuperclassNames()`

Methods inherited from interface edu.stanford.smi.protegex.owl.swrl.bridge.OWLObject
`write2OWL`

Methods inherited from interface edu.stanford.smi.protegex.owl.swrl.bridge.ClassDescriptionArgument
`getRepresentation, isNamedClass`

Methods inherited from interface edu.stanford.smi.protegex.owl.swrl.bridge.BuiltInArgument
`getBuiltInResult, getPrefixedVariableName, getVariableName, isUnbound, isVariable, setBuiltInResult, setUnbound, setVariableName`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getClassName

    String getClassName()

  Specified by:
    `getClassName` in interface `ClassArgument`
  Specified by:
    `getClassName` in interface `ClassValue`

### getPrefixedClassName

    String getPrefixedClassName()

  Specified by:
    `getPrefixedClassName` in interface `ClassValue`

### getSuperclassNames

    Set<String> getSuperclassNames()

### getDirectSuperClassNames

    Set<String> getDirectSuperClassNames()

### getDirectSubClassNames

    Set<String> getDirectSubClassNames()

### getEquivalentClassNames

    Set<String> getEquivalentClassNames()

### getEquivalentClassSuperclassNames

    Set<String> getEquivalentClassSuperclassNames()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.